import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page={
    pageSize:number|string,
    pageNum:number|string
}

export interface Params extends Page{
    miniappId:string,//微信小程序组件ID
    distributorId:string,//分销商ID
    appType:string,//小程序类型 1:微信小程序、2：抖音小程序
    startTime?:string,//开始时间
    endTime?:string,//结束时间
    changeType?:string,//书币变更类型（1：书币充值、2：参加活动获取、3：抽奖获取 、-1：阅读长篇小说消费、-2：阅读短篇小说消费）
}
/**获取分销商账号列表 */
export async function bookCoinList(params:Params) {
  return request(api+'/admin/bookCoin/list', {
    method: 'GET',
    params
  });
}